IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_CROSSCONTENT') 
CREATE TABLE T_MSPLAN_CROSSCONTENT
(
  FENTRYID                     BIGINT            DEFAULT 0   NOT NULL,         
  FDETAILID                    BIGINT            DEFAULT 0   NOT NULL,  
  FSEQ                         INT               DEFAULT 0   NOT NULL,         
  FENTRYCROSSFLAGCONTENT       NVARCHAR(2000)    DEFAULT ' ' NOT NULL, 	
  FENTRYCROSSFLAGCONTENTDES    NVARCHAR(2000)    DEFAULT ' ' NOT NULL, 	
  FENTRYFLAGCONNECTOR          NVARCHAR(50)      DEFAULT ' ' NOT NULL, 	
  FENTRYCROSSFCONE             NVARCHAR(2000)    DEFAULT ' ' NOT NULL, 	
  FENTRYCROSSFCDESCONE         NVARCHAR(2000)    DEFAULT ' ' NOT NULL, 	
  FENTRYFLAGCONNECTORONE       NVARCHAR(50)      DEFAULT ' ' NOT NULL, 	
  FENTRYCROSSFLAGDETAILCONT    NVARCHAR(2000)    DEFAULT ' ' NOT NULL, 
  FENTRYCROSSFLAGDETAILDESC    NVARCHAR(2000)    DEFAULT ' ' NOT NULL, 
  FENTRYFLAGDETAILCONNECTOR    NVARCHAR(50)      DEFAULT ' ' NOT NULL, 	
  FCSVIEWSCHEMEID              NVARCHAR(255)     DEFAULT 0   NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_CROSSMOVEENTRY') 
CREATE TABLE T_MSPLAN_CROSSMOVEENTRY
(
  FENTRYID         BIGINT        DEFAULT 0     NOT NULL,          
  FDETAILID        BIGINT        DEFAULT 0     NOT NULL,    	
  FSEQ             INT           DEFAULT 0     NOT NULL,            
  FENTIRETYMOVE    CHAR(1)       DEFAULT '0'   NOT NULL, 	
  FPARTMOVE        CHAR(1)       DEFAULT '0'   NOT NULL, 
  FCMVIEWSCHEMEID  NVARCHAR(255) DEFAULT 0     NOT NULL
);

